// Package cyclescaler provides datatypes for the messages which get passed between the master and the slaves.
// TBD: there is an exception from the above statement for the message to upload the final rendered image from
// the slave up to the master. It's handled by having the slave read from the file output from blender and send
// as an HTTP post request directly to https://master.url/postwork
package cyclescaler

// Returned to a slave when it requests work
type SlaveOrder struct {
	Token       string
	FrameNumber int
}

// Sent from master to slave after a heartbeat from the slave
type HeartbeatResponse struct {
	Paused bool
}
